document.addEventListener('DOMContentLoaded', () => {
  initializeCalculator();
  updateMetrics();
});

function initializeCalculator() {
  const inputs = ['hashRate', 'activeUsers', 'txVolume'];
  inputs.forEach(id => {
    document.getElementById(id).addEventListener('input', calculateValue);
  });
}

function calculateValue() {
  const hashRate = parseFloat(document.getElementById('hashRate').value) || 0;
  const activeUsers = parseFloat(document.getElementById('activeUsers').value) || 0;
  const txVolume = parseFloat(document.getElementById('txVolume').value) || 0;
  
  // Simple valuation formula for demonstration
  const value = (hashRate * 1000) + (activeUsers * 100) + (txVolume * 0.01);
  
  document.getElementById('valueResult').textContent = `$${value.toLocaleString()}`;
}

function updateMetrics() {
  // Simulated metrics data
  const metrics = {
    nvt: 45.7,
    mvrv: 2.3,
    stockFlow: 56.1
  };
  
  document.getElementById('nvtValue').textContent = metrics.nvt.toFixed(2);
  document.getElementById('mvrvValue').textContent = metrics.mvrv.toFixed(2);
  document.getElementById('stockFlowValue').textContent = metrics.stockFlow.toFixed(2);
}

function openCalculator() {
  document.getElementById('calculator').scrollIntoView({ 
    behavior: 'smooth' 
  });
}

// Add smooth scrolling for all anchor links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});